%define _requires_exceptions libstlport_gcc.so

Name:           libreoffice-voikko
Version:        3.2
Release:        %mkrel 1
Summary:        Finnish spellchecker and hyphenator extension for LibreOffice
Group:          Office
License:        GPLv3+
URL:            http://voikko.sourceforge.net/
# The usual format of stable release URLs
Source0:        http://downloads.sourceforge.net/voikko/%{name}-%{version}.tar.gz
# The usual format of test release URLs
#Source0:        http://www.puimula.org/htp/testing/%{name}-%{version}rc2.tar.gz
BuildRequires:    libreoffice-devel >= 3.2.99
BuildRequires:    libvoikko-devel >= 2.1
Requires:         libreoffice-core >= 3.2.99
Requires:	locales-fi
# Rpmbuild only detects libvoikko.so.1 automatically, which is
# too general for openoffice.org-voikko.
Requires:         libvoikko >= 2.1
Obsoletes:	openoffice.org-voikko < 3.3

%define libo %{_libdir}/ooo
%define libo_sdk %{libo}/basis3.3/sdk
# The location of the installed extension. Apparently the directory name must
# end with .uno.pkg or unopkg will fail.
%define voikkoext %{libo}/share/extensions/voikko.uno.pkg

%description
This package contains a Finnish spell-checking and hyphenation component for
LibreOffice. The actual spell-checking and hyphenation functionality is
provided by the Voikko library.


%prep
%setup -q

%build
. %{libo_sdk}/setsdkenv_unix.sh
%make OPT_FLAGS="%optflags" STLPORTLIB=

%install
rm -rf $RPM_BUILD_ROOT
. %{libo_sdk}/setsdkenv_unix.sh
%make install-unpacked DESTDIR=%{buildroot}%{voikkoext} OPT_FLAGS="%optflags"
# Set the library executable so debuginfo can be extracted.
chmod +x %{buildroot}%{voikkoext}/voikko.so


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{voikkoext}
%doc ChangeLog COPYING README




%changelog
* Fri Apr 22 2011 Anssi Hannula <anssi@mandriva.org> 3.2-1mdv2011.0
+ Revision: 656761
- new version
- sync .spec from Mageia
- rename from openoffice.org-voikko to libreoffice-voikko as per upstream

* Sat Feb 06 2010 Anssi Hannula <anssi@mandriva.org> 3.1-4mdv2010.1
+ Revision: 501386
- rebuild for new openoffice.org
- remove obsolete comment from .spec

* Mon Oct 19 2009 Rafael da Veiga Cabral <cabral@mandriva.com> 3.1-3mdv2010.0
+ Revision: 458198
- rebuild against ooo 3.1.1

* Tue Sep 29 2009 Anssi Hannula <anssi@mandriva.org> 3.1-2mdv2010.0
+ Revision: 451033
- rename 64bit package to openoffice.org-voikko to follow OOo rename
- adapt for moved OOo dir

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 3.1-1mdv2010.0
+ Revision: 379493
- New version 3.1

* Thu Mar 12 2009 Rafael da Veiga Cabral <cabral@mandriva.com> 3.0.1-1mdv2010.0
+ Revision: 354386
- wrong spec
- adding spec

* Wed Feb 18 2009 Anssi Hannula <anssi@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 342614
- new version
- drop now unneeded build variables

* Fri Oct 03 2008 Anne Nicolas <ennael@mandriva.org> 3.0-3mdv2009.0
+ Revision: 291079
- Rebuild against last version

* Sat Sep 20 2008 Anssi Hannula <anssi@mandriva.org> 3.0-2mdv2009.0
+ Revision: 286170
- rebuild for new OOo

* Sat Sep 13 2008 Anssi Hannula <anssi@mandriva.org> 3.0-1mdv2009.0
+ Revision: 284569
- new version
- adapt for OOo 3.0 directories
- add hacks around broken OOo 3.0 sdk things

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 2.2-5mdv2009.0
+ Revision: 197768
- rebuild for new OOo

* Fri Mar 28 2008 Anssi Hannula <anssi@mandriva.org> 2.2-4mdv2008.1
+ Revision: 190805
- rebuild for new OOo

* Thu Mar 20 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.2-3mdv2008.1
+ Revision: 189209
- rebuild with new OOo

* Sun Mar 02 2008 Anssi Hannula <anssi@mandriva.org> 2.2-2mdv2008.1
+ Revision: 177791
- rebuild for new OOo

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 2.2-1mdv2008.1
+ Revision: 176601
- new version
- more hacks for OOo versioning

* Sat Jan 05 2008 Anssi Hannula <anssi@mandriva.org> 2.1-3mdv2008.1
+ Revision: 145849
- use unopkg list command to clear cache instead of rm

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 26 2007 Anssi Hannula <anssi@mandriva.org> 2.1-2mdv2008.1
+ Revision: 137913
- adapt for OOo 2.3
- remove duplicate ooo_version define

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Anssi Hannula <anssi@mandriva.org> 2.1-1mdv2008.0
+ Revision: 77710
- 2.1
- remove now unneeded build flags

* Sat Jul 21 2007 Anssi Hannula <anssi@mandriva.org> 2.0.1-4mdv2008.0
+ Revision: 54356
- redefine HOME before calling unopkg as it writes there

* Wed Jul 18 2007 Anssi Hannula <anssi@mandriva.org> 2.0.1-3mdv2008.0
+ Revision: 53235
- add triggers to workaround rpm not honoring Requires(preun)
- document upgrade paths extensively in spec

* Fri Jul 06 2007 Anssi Hannula <anssi@mandriva.org> 2.0.1-2mdv2008.0
+ Revision: 49173
- rebuild for new openoffice.org

* Tue May 15 2007 Anssi Hannula <anssi@mandriva.org> 2.0.1-1mdv2008.0
+ Revision: 27050
- 2.0.1

* Mon Apr 30 2007 Anssi Hannula <anssi@mandriva.org> 2.0-2mdv2008.0
+ Revision: 19580
- fix license

* Mon Apr 30 2007 Anssi Hannula <anssi@mandriva.org> 2.0-1mdv2008.0
+ Revision: 19515
- 2.0
- ignore unopkg failure during preun

